#!/bin/bash
#	make 3D data
echo|gawk 'BEGIN{}{}END{
	X0=-1.0;Y0=-1.0;Z0=-1.0;nX=101;nY=101;nZ=101;dX=0.02;dY=0.02;dZ=0.02;
	pi=atan2(1.0,1.0)*4;
	#	ヘッダーを出力
	printf("# vtk DataFile Version 2.0\n");
	printf("This is example 3D made by make-ex_3D.sh. Scalar T, p and vector U.\n");
	printf("ASCII\n");
	printf("DATASET STRUCTURED_POINTS\n");
	printf("DIMENSIONS %d %d %d\n",nX,nY,nZ);
	printf("ORIGIN %f %f %f\n",X0,Y0,Z0);
	printf("SPACING %f %f %f\n",dX,dY,dZ);
	#	スカラー関数 T を定義
	printf("POINT_DATA %d\n",nX*nY*nZ);
	printf("SCALARS T float\n");
	printf("LOOKUP_TABLE default\n");
	for(k=0;k<nZ;k++) for(j=0;j<nY;j++) for(i=0;i<nX;i++) {
		X=X0+i*dX; Y=Y0+j*dY; Z=Z0+k*dZ;
		T=exp(-X*X-4*Y*Y-2*Z*Z)*cos(0.5*pi*(4*(X+Y)**2+2*(X-Y)**2+Z*Z))**2;
		printf("%.10f\n",T);
	}
}'	>	ex_3D_T.vtk 
