#!/bin/bash
#	make 2D data
echo|gawk 'BEGIN{
	X0=-1.0;Y0=-1.0;nX=21;nY=21;dX=0.1;dY=0.1;
	//
	printf("# vtk DataFile Version 2.0\n");
	printf("This is example 1 made by ex1.sh\n");
	printf("ASCII\n");
	printf("DATASET STRUCTURED_POINTS\n");
	printf("DIMENSIONS %d %d %d\n",nX,nY,1);
	printf("ORIGIN %f %f %f\n",X0,Y0,0.0);
	printf("SPACING %f %f %f\n",dX,dY,1.0);
	//	make Data
	printf("POINT_DATA %d\n",nX*nY);
	printf("SCALARS T float\n");
	printf("LOOKUP_TABLE default\n");
}
{
}
END{
	for(j=0;j<nY;j++) for(i=0;i<nX;i++) {
		X=X0+i*dX; Y=Y0+j*dY;
		F=exp(-X*X-Y*Y);
		printf("%f \n",F);
	}
}'	>	ex_scalar.vtk 
